Package Gnumed :: Package timelinelib :: Package help :: Module system :: Class HelpSystem |
[frames] | no frames]

# Class HelpSystem

source code

    object --+
             |
            HelpSystem

Instance Methods
__init__(self, home_page, resources_prefix, page_prefix) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
install_page(self, id, header="", body="", related_pages=[]) | source code
get_page(self, id) | source code
get_search_results_page(self, search) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, home_page, resources_prefix, page_prefix) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)